From cf980f2985f0fb4f4103155e05831dd259c327b9 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Gross?=
 <seb•ɑƬ•chezwam•ɖɵʈ•org>
Date: Tue, 29 May 2012 13:11:42 +0200
Subject: [PATCH] List all network interfaces in explorer/ifaces.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Sébastien Gross <seb•ɑƬ•chezwam•ɖɵʈ•org>
---
 conf/explorer/ifaces | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100755 conf/explorer/ifaces

diff --git a/conf/explorer/ifaces b/conf/explorer/ifaces
new file mode 100755
index 00000000..e5fd8a45
--- /dev/null
+++ b/conf/explorer/ifaces
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# 2012 Sébastien Gross <seb•ɑƬ•chezwam•ɖɵʈ•org>
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see <http://www.gnu.org/licenses/>.
+#
+#
+# List all network interfaces in explorer/ifaces. One interface per line.
+#
+
+uname_s="$(uname -s)"
+
+case "$uname_s" in
+   Linux)
+      ifconfig  | sed -n 's/^\([^[:space:]]\+\)[[:space:]].*/\1/p' 
+      exit 0
+   ;;
+   Darwin|*BSD)
+      ifconfig | sed -n 's/^\([^:]*\): flags.*/\1/p'
+      exit 0
+   ;;
+esac
+
+echo "Unknown OS" >&2
+exit 1